<apex:page controller="MassEmail_Controller">
    <apex:form >
        <apex:outputLabel id="lblTest" value="Test text"></apex:outputLabel>
    <apex:pageBlock id="pbGridPanel">
        <apex:outputPanel id="outPanel1">
    <apex:pageBlockTable value="{!Templates}" var="lstTemp">
         <apex:column >
             <apex:inputCheckbox value="{!lstTemp.isSelected}" id="chckbox"/>
        </apex:column>
        <apex:column >
            <apex:inputTextarea value="{!lstTemp.EmailTemplate.Body}" />
        </apex:column>
        </apex:pageBlockTable>
         </apex:outputPanel>
        <apex:pageBlockButtons location="top">
        	<apex:commandButton id="btnSave" action="{!Save}" value="Save" reRender="pbGridPanel"/>
        </apex:pageBlockButtons>
        </apex:pageBlock>
        <apex:panelGrid columns="4">
            <apex:commandLink action="{!first}" dir="RTL">First</apex:commandLink>
            <apex:commandLink action="{!previous}" dir="LTR">Previous</apex:commandLink>
            <apex:commandLink action="{!next}" >Next</apex:commandLink>
            <apex:commandLink action="{!last}" >Last</apex:commandLink>
        </apex:panelGrid>
    </apex:form>
</apex:page>